Skip to content
getgeolens.com

Get Tile Config

GET
/settings/tile-config/
curl --request GET \
--url https://example.com/settings/tile-config/

Return tile delivery configuration (public, no auth required).

Successful Response

Media type application/json
TileConfigResponse
object
cdn_base_url
Any of:
string
mvt_source_layer_prefix
Any of:
string
public_api_url
Any of:
string
public_app_url
Any of:
string
public_base_url
Any of:
string
Example
{
"mvt_source_layer_prefix": "data"
}

Too many requests — retry after the advertised interval

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}
Retry-After
integer

Seconds until the request may be retried

Internal server error

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Service unavailable — the database could not serve the request

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}